\documentclass[a4paper]{article}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[english]{babel}
\usepackage{lmodern}
\usepackage[dvipsnames]{xcolor}
\usepackage{makeidx}
\usepackage{graphicx}
\usepackage{tikz}
\usepackage{amsmath}
\usepackage{amsthm}
\usepackage{amssymb}
\usepackage{mathrsfs}
\usepackage{stmaryrd}
\usepackage{eqnarray}
\usepackage{dsfont}
\usepackage[colorlinks=true, linkcolor=black, urlcolor=black, citecolor=black]{hyperref}
\usepackage{geometry}

\usetikzlibrary{graphs,calc}
\usetikzlibrary{graphs.standard}
\usetikzlibrary{arrows}

\pgfdeclarelayer{bg}
\pgfsetlayers{bg,main}

\newtheorem*{prop}{Proposition}
\newtheorem*{thrm}{Theorem}
\newtheorem*{cons}{Corollary}
\newtheorem*{lmm}{Lemma}

\DeclareMathOperator{\Cay}{Cay}
\DeclareMathOperator{\Ker}{Ker}
\DeclareMathOperator{\id}{id}

\title{From Escher's hyperbolic tilings to the geometry of Coxeter groups}
\author{Alexis Marchand}

\begin{document}

\nocite{*}

\maketitle

\paragraph{}
Dutch artist M. C. Escher was fascinated with the idea of representing infinity within a finite piece of art. Among many sources of mathematical inspiration, a correspondence with the geometer Donald Coxeter led him to his \emph{Circle Limit} series, an example of which is given in Figure \ref{fig_escher}. Unsurprisingly, this series of drawings hides deep mathematical ideas connected with the work of Coxeter, and we are going to see how these ideas can lead to modern concepts in geometric group theory.
\begin{figure}[htb]
    \centering
    \includegraphics[width=7cm]{Escher-CircleLimitI.jpg}
    \caption{\emph{Circle Limit I}, M. C. Escher.}
    \label{fig_escher}
\end{figure}

\paragraph{}
Examining \emph{Circle Limit I}, we see that it is constructed by starting with a simple building block, a (hyperbolic) polygon with some decoration (shown in Figure \ref{fig_escher_polyg}), and then reflecting this initial polygon along its edges, and iterating the process.
\begin{figure}[htb]
    \centering
    \includegraphics[width=6cm]{Escher-BasicPolygon.png}
    \caption{The fundamental domain of Escher's \emph{Circle Limit I}.}
    \label{fig_escher_polyg}
\end{figure}
In order to formalise this construction, we shall work in a space $\mathbb{X}$ that can be either the \emph{euclidean plane} $\mathbb{E}^2$, the \emph{sphere} $\mathbb{S}^2$, or the \emph{hyperbolic plane} $\mathbb{H}^2$, the latter being the setting of Escher's \emph{Circle Limits}. A \emph{geodesic} in $\mathbb{X}$ is the shortest path between two points: euclidean geodesics are straight lines and spherical geodesics are great circles. Any geodesic can be extended in both directions to either an infinite geodesic (in the euclidean and hyperbolic cases) or a closed geodesic (in the spherical case); there is then an operation of reflection with respect to that geodesic, which defines an isometry of $\mathbb{X}$. The hyperbolic plane can be represented, as in Escher's work, by an open disk in which geodesics are arcs of circles (or straight lines) orthogonal to the boundary; this representation is called the \emph{Poincaré disk model}. In this model, distances are more and more distorted as one gets closer to the boundary. One can think of it as a way to visualise a geometric universe which does not obey euclidean rules, in the same way that a standard Mercator projection map of the world will alter distances and magnify the regions that are closer to the poles.

\paragraph{}
We consider a compact convex polygon $P$ in $\mathbb{X}$, in other words a set of vertices together with geodesic segments between them; this is our tiling's basic building block. We denote by $x_0,x_1,\dots,x_{n-1},x_n=x_0$ the successive vertices of $P$, and we assume that the interior angle at $x_k$ can be written as $\pi/p_k$ for some integer $p_k\geq 2$, as in Figure \ref{fig_polygon}. For instance, the hyperbolic polygon of Figure \ref{fig_escher_polyg} has four vertices, with interior angles $\pi/3,\pi/2,\pi/3,\pi/2$.
\begin{figure}[htb]
    \centering
    \resizebox{!}{3.6cm}{\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1.0cm,y=1.0cm]

        \draw [shift={(-0.42,0)},color=OliveGreen,fill=OliveGreen,fill opacity=0.1] (0,0) -- (0:0.23) arc (0:125.94:0.23) -- cycle;
        \draw [shift={(-1.63,1.67)},color=OliveGreen,fill=OliveGreen,fill opacity=0.1] (0,0) -- (-54.06:0.23) arc (-54.06:44.44:0.23) -- cycle;
        \draw [shift={(-0.03,3.24)},color=OliveGreen,fill=OliveGreen,fill opacity=0.1] (0,0) -- (-135.56:0.23) arc (-135.56:-23.18:0.23) -- cycle;
        \draw [shift={(2.64,2.09)},color=OliveGreen,fill=OliveGreen,fill opacity=0.1] (0,0) -- (156.82:0.23) arc (156.82:255.74:0.23) -- cycle;
        \draw [shift={(2.11,0)},color=OliveGreen,fill=OliveGreen,fill opacity=0.1] (0,0) -- (75.74:0.23) arc (75.74:180:0.23) -- cycle;
        \draw (-1.63,1.67)-- (-0.03,3.24);
        \draw (-1.63,1.67)-- (-0.42,0);
        \draw (2.11,0)-- (-0.42,0);
        \draw (-0.03,3.24)-- (2.64,2.09);
        \draw (2.64,2.09)-- (2.11,0);
        \begin{normalsize}
        \fill [color=blue] (-0.42,0) circle (1.5pt);
        \draw[color=blue] (-0.54,-0.25) node {$x_0=x_5$};
        \fill [color=blue] (2.11,0) circle (1.5pt);
        \draw[color=blue] (2.4,-0.25) node {$x_1$};
        \fill [color=blue] (-1.63,1.67) circle (1.5pt);
        \draw[color=blue] (-1.9,1.7) node {$x_4$};
        \fill [color=blue] (-0.03,3.24) circle (1.5pt);
        \draw[color=blue] (-0.03,3.46) node {$x_3$};
        \draw[color=OliveGreen] (-0.2,0.45) node {$\frac{\pi}{p_5}$};
        \fill [color=blue] (2.64,2.09) circle (1.5pt);
        \draw[color=blue] (2.85,2.3) node {$x_2$};
        \draw[color=OliveGreen] (-1.18,1.67) node {$\frac{\pi}{p_4}$};
        \draw[color=OliveGreen] (0,2.7) node {$\frac{\pi}{p_3}$};
        \draw[color=OliveGreen] (2.17,1.99) node {$\frac{\pi}{p_2}$};
        \draw[color=OliveGreen] (1.75,0.4) node {$\frac{\pi}{p_1}$};
        \end{normalsize}
    \end{tikzpicture}}
    \caption{A polygon satisfying the hypotheses of the Poincaré Theorem.}
    \label{fig_polygon}
\end{figure}
Let $\sigma_k:\mathbb{X}\rightarrow\mathbb{X}$ be the reflection of $\mathbb{X}$ with respect to the geodesic segment $\left[x_{k-1},x_{k}\right]$. The tiling we are interested in can be constructed by drawing all the polygons obtained by applying sequences of reflections among the $\sigma_k$s to the original polygon $P$, or in other words, by making the group $\Gamma$ generated by $\sigma_1,\dots,\sigma_n$ act on $P$; this group $\Gamma$ is therefore our fundamental object.

\subsection*{The Poincaré Theorem}

\paragraph{}
Because $\Gamma$ determines the tiling, we wish to understand its algebraic structure. We would like in particular to find a \emph{presentation} of $\Gamma$: this means finding a small set of algebraic relations between the generators that determine all other relations that exist in $\Gamma$. We start by writing the most obvious relations we have: since $\sigma_k$ is a reflection, it satisfies $\sigma_k^2=1$. Moreover, one can check that the composite $\sigma_{k}\circ\sigma_{k+1}$ is a rotation around $x_k$ of angle $2\pi/p_k$; therefore it has order $p_k$, which implies that $\left(\sigma_k\sigma_{k+1}\right)^{p_k}=1$. Now it turns out that these relations entirely determine $\Gamma$, as stated by the following theorem.
\begin{thrm}[Poincaré]
    The group $\Gamma=\left<\sigma_1,\dots,\sigma_n\right>$ has the following presentation:
        \begin{equation}\Gamma\cong\left<\sigma_1,\dots,\sigma_{n}\mid\forall k,\:\left(\sigma_{k}\sigma_{k+1}\right)^{p_{k}}=1,\:\sigma_k^2=1\right>.\label{eq_poincare}\end{equation}
    Moreover, $\Gamma$ acts properly on $\mathbb{X}$ and $P$ is a fundamental domain for this action (i.e. the $\Gamma$-translates of $P$ cover $X$).
\end{thrm}
Saying that $\Gamma$ has a presentation given by $\left(\ref{eq_poincare}\right)$ means that $\Gamma$ is, in some sense, the simplest group generated by $\sigma_1,\dots,\sigma_n$ and satisfying the given relations. More precisely, $\Gamma$ is isomorphic to the free group on $\left\{\sigma_1,\dots,\sigma_n\right\}$ quotiented by the normal subgroup generated by $\left\{\sigma_k^2,\:1\leq k\leq n\right\}\cup\left\{\left(\sigma_k\sigma_{k+1}\right)^{p_k},\:1\leq k<n\right\}$. The fact that $\Gamma$ acts properly on $\mathbb{X}$ means that the action is, in some sense, discrete: in the resulting tiling, there cannot be an infinite number of copies of $P$ in a small region.

\paragraph{}
The proof of the theorem involves reconstructing the tiling as a \emph{cell complex}, i.e. a space obtained by glueing various cells. This cell complex $K$ is defined by taking one copy $P_\gamma$ of $P$ for each element $\gamma$ of $\Gamma$ and by glueing the $k$-th edge of $P_\gamma$ with the $k$-th edge of $P_{\gamma\sigma_k}$ for all $1\leq k\leq n$. One has to show that $K$ is homeomorphic to $\mathbb{X}$ and that the action of $\Gamma$ on $K$ corresponds to the action on $\mathbb{X}$, and this allows one to actually understand the structure of $\Gamma$. For more details, the reader is referred to \cite{laharpe}.

% \begin{proof}[Proof of the theorem (adapted from \textnormal{\cite{laharpe}})]
%     Consider an abstract group $\hat{\Gamma}$ with the desired presentation:\[\hat{\Gamma}=\left<\hat{\sigma}_1,\dots,\hat{\sigma}_{n}\mid\forall k,\:\left(\hat{\sigma}_{k}\hat{\sigma}_{k+1}\right)^{p_{k}}=1,\:\hat{\sigma}_k^2=1\right>.\]Since we already know that the above relations are satisfied in $\Gamma$ (even though we have not yet proved that they form a presentation), we can define a surjective group homomorphism $\varphi:\hat{\Gamma}\rightarrow{\Gamma}$ by $\varphi\left(\hat{\sigma}_k\right)=\sigma_k$; it remains to prove that $\varphi$ is injective. To do this, we define a cell complex $K$ by taking one copy $P_{\hat{\gamma}}$ of $P$ for each element $\hat{\gamma}$ of $\hat{\Gamma}$, and by glueing the $k$-th edge of $P_{\hat{\gamma}}$ with the $k$-th edge of $P_{\hat{\gamma}\hat{\sigma}_k}$ for all $\hat{\gamma}\in\hat{\Gamma}$ and $1\leq k\leq n$. This defines a cell complex $K$ (i.e. a space obtained by glueing various polygons) and we can define a map $D:K\rightarrow\mathbb{X}$ by\[D(x)=\varphi\left(\hat{\gamma}\right)(x),\]whenever $x\in P_{\hat{\gamma}}$. Using the theory of covering spaces, we prove that $D$ is a homeomorphism, and therefore we can study the action of $\Gamma$ on $\mathbb{X}$ by studying the action of $\hat{\Gamma}$ on $K$, which allows one to prove that $\varphi$ is an isomorphism, that the action of $\Gamma$ on $\mathbb{X}$ is proper and that $P$ is a fundamental domain.
% \end{proof}

\paragraph{}
Before going any further, let us examine a few special cases of the Poincaré Theorem. If we look back at the polygon of Figure \ref{fig_polygon}, we see that it is impossible in the Euclidean world: angles of the form $\pi/p_k$ with $p_k\geq 2$ should be acute, and perhaps more importantly, the sum of angles of an $n$-sided polygon is $(n-2)\pi$. We should therefore have\[(n-2)=\frac{1}{p_1}+\cdots+\frac{1}{p_n}.\]But since $p_k\geq 2$ for all $k$, the right-hand side of the above equation is at most $n/2$, which is only possible if $n=3$ or $4$. Reasoning along these lines, we see that the only euclidean polygons to which the theorem applies are rectangles, the equilateral triangle, and right-angled triangles with angles $\pi/2,\pi/3,\pi/6$ or $\pi/2,\pi/4,\pi/4$. Figure \ref{fig_tiling_e2} shows such a tiling.
\begin{figure}[htb]
    \centering
    \begin{tikzpicture}[every node/.style={draw,circle,fill,inner sep=1pt}, every edge/.style={draw,thick},plain/.style={draw}]
        \draw node (aa) at (0,0) {};
        \draw node (ba) at (1,0) {};
        \draw node (ca) at (2,0) {};
        \draw node (da) at (3,0) {};
        \draw node (ea) at (4,0) {};
        \draw node (fa) at (5,0) {};
        \draw node (ga) at (6,0) {};
        \draw node (ha) at (7,0) {};
        \draw node (ia) at (8,0) {};
        \draw node (ja) at (9,0) {};
        \draw node (ka) at (10,0) {};
        \draw node (ab) at (0,1) {};
        \draw node (bb) at (1,1) {};
        \draw node (cb) at (2,1) {};
        \draw node (db) at (3,1) {};
        \draw node (eb) at (4,1) {};
        \draw node (fb) at (5,1) {};
        \draw node (gb) at (6,1) {};
        \draw node (hb) at (7,1) {};
        \draw node (ib) at (8,1) {};
        \draw node (jb) at (9,1) {};
        \draw node (kb) at (10,1) {};
        \draw node (ac) at (0,2) {};
        \draw node (bc) at (1,2) {};
        \draw node (cc) at (2,2) {};
        \draw node (dc) at (3,2) {};
        \draw node (ec) at (4,2) {};
        \draw node (fc) at (5,2) {};
        \draw node (gc) at (6,2) {};
        \draw node (hc) at (7,2) {};
        \draw node (ic) at (8,2) {};
        \draw node (jc) at (9,2) {};
        \draw node (kc) at (10,2) {};
        \draw node (ad) at (0,3) {};
        \draw node (bd) at (1,3) {};
        \draw node (cd) at (2,3) {};
        \draw node (dd) at (3,3) {};
        \draw node (ed) at (4,3) {};
        \draw node (fd) at (5,3) {};
        \draw node (gd) at (6,3) {};
        \draw node (hd) at (7,3) {};
        \draw node (id) at (8,3) {};
        \draw node (jd) at (9,3) {};
        \draw node (kd) at (10,3) {};
        \draw node (ae) at (0,4) {};
        \draw node (be) at (1,4) {};
        \draw node (ce) at (2,4) {};
        \draw node (de) at (3,4) {};
        \draw node (ee) at (4,4) {};
        \draw node (fe) at (5,4) {};
        \draw node (ge) at (6,4) {};
        \draw node (he) at (7,4) {};
        \draw node (ie) at (8,4) {};
        \draw node (je) at (9,4) {};
        \draw node (ke) at (10,4) {};
        \draw node [plain,draw=none,fill=none,xshift=-1cm,yshift=2cm] (dots1) {$\cdots$};
        \draw node [plain,draw=none,fill=none,xshift=11cm,yshift=2cm] (dots2) {$\cdots$};
        \draw node [plain,draw=none,fill=none,xshift=5cm,yshift=-0.5cm] (dots3) {$\cdots$};
        \draw node [plain,draw=none,fill=none,xshift=5cm,yshift=4.5cm] (dots4) {$\cdots$};

        \begin{pgfonlayer}{bg}
            \draw [fill=Plum!65]  (aa.center) --  (ab.center) --  (ba.center) -- cycle;
            \draw [fill=Goldenrod!65]  (bb.center) --  (ab.center) --  (ba.center) -- cycle;
            \draw [fill=Plum!65]  (bb.center) --  (ab.center) --  (bc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ac.center) --  (ab.center) --  (bc.center) -- cycle;
            \draw [fill=Plum!65]  (ac.center) --  (ad.center) --  (bc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (bd.center) --  (ad.center) --  (bc.center) -- cycle;
            \draw [fill=Plum!65]  (bd.center) --  (ad.center) --  (be.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ae.center) --  (ad.center) --  (be.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ca.center) --  (cb.center) --  (ba.center) -- cycle;
            \draw [fill=Plum!65]  (bb.center) --  (cb.center) --  (ba.center) -- cycle;
            \draw [fill=Goldenrod!65]  (bb.center) --  (cb.center) --  (bc.center) -- cycle;
            \draw [fill=Plum!65]  (cc.center) --  (cb.center) --  (bc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (cc.center) --  (cd.center) --  (bc.center) -- cycle;
            \draw [fill=Plum!65]  (bd.center) --  (cd.center) --  (bc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (bd.center) --  (cd.center) --  (be.center) -- cycle;
            \draw [fill=Plum!65]  (ce.center) --  (cd.center) --  (be.center) -- cycle;

            \draw [fill=Plum!65]  (ca.center) --  (cb.center) --  (da.center) -- cycle;
            \draw [fill=Goldenrod!65]  (db.center) --  (cb.center) --  (da.center) -- cycle;
            \draw [fill=Plum!65]  (db.center) --  (cb.center) --  (dc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (cc.center) --  (cb.center) --  (dc.center) -- cycle;
            \draw [fill=Plum!65]  (cc.center) --  (cd.center) --  (dc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (dd.center) --  (cd.center) --  (dc.center) -- cycle;
            \draw [fill=Plum!65]  (dd.center) --  (cd.center) --  (de.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ce.center) --  (cd.center) --  (de.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ea.center) --  (eb.center) --  (da.center) -- cycle;
            \draw [fill=Plum!65]  (db.center) --  (eb.center) --  (da.center) -- cycle;
            \draw [fill=Goldenrod!65]  (db.center) --  (eb.center) --  (dc.center) -- cycle;
            \draw [fill=Plum!65]  (ec.center) --  (eb.center) --  (dc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ec.center) --  (ed.center) --  (dc.center) -- cycle;
            \draw [fill=Plum!65]  (dd.center) --  (ed.center) --  (dc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (dd.center) --  (ed.center) --  (de.center) -- cycle;
            \draw [fill=Plum!65]  (ee.center) --  (ed.center) --  (de.center) -- cycle;

            \draw [fill=Plum!65]  (ea.center) --  (eb.center) --  (fa.center) -- cycle;
            \draw [fill=Goldenrod!65]  (fb.center) --  (eb.center) --  (fa.center) -- cycle;
            \draw [fill=Plum!65]  (fb.center) --  (eb.center) --  (fc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ec.center) --  (eb.center) --  (fc.center) -- cycle;
            \draw [fill=Plum!65]  (ec.center) --  (ed.center) --  (fc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (fd.center) --  (ed.center) --  (fc.center) -- cycle;
            \draw [fill=Plum!65]  (fd.center) --  (ed.center) --  (fe.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ee.center) --  (ed.center) --  (fe.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ga.center) --  (gb.center) --  (fa.center) -- cycle;
            \draw [fill=Plum!65]  (fb.center) --  (gb.center) --  (fa.center) -- cycle;
            \draw [fill=Goldenrod!65]  (fb.center) --  (gb.center) --  (fc.center) -- cycle;
            \draw [fill=Plum!65]  (gc.center) --  (gb.center) --  (fc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (gc.center) --  (gd.center) --  (fc.center) -- cycle;
            \draw [fill=Plum!65]  (fd.center) --  (gd.center) --  (fc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (fd.center) --  (gd.center) --  (fe.center) -- cycle;
            \draw [fill=Plum!65]  (ge.center) --  (gd.center) --  (fe.center) -- cycle;

            \draw [fill=Plum!65]  (ga.center) --  (gb.center) --  (ha.center) -- cycle;
            \draw [fill=Goldenrod!65]  (hb.center) --  (gb.center) --  (ha.center) -- cycle;
            \draw [fill=Plum!65]  (hb.center) --  (gb.center) --  (hc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (gc.center) --  (gb.center) --  (hc.center) -- cycle;
            \draw [fill=Plum!65]  (gc.center) --  (gd.center) --  (hc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (hd.center) --  (gd.center) --  (hc.center) -- cycle;
            \draw [fill=Plum!65]  (hd.center) --  (gd.center) --  (he.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ge.center) --  (gd.center) --  (he.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ia.center) --  (ib.center) --  (ha.center) -- cycle;
            \draw [fill=Plum!65]  (hb.center) --  (ib.center) --  (ha.center) -- cycle;
            \draw [fill=Goldenrod!65]  (hb.center) --  (ib.center) --  (hc.center) -- cycle;
            \draw [fill=Plum!65]  (ic.center) --  (ib.center) --  (hc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ic.center) --  (id.center) --  (hc.center) -- cycle;
            \draw [fill=Plum!65]  (hd.center) --  (id.center) --  (hc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (hd.center) --  (id.center) --  (he.center) -- cycle;
            \draw [fill=Plum!65]  (ie.center) --  (id.center) --  (he.center) -- cycle;

            \draw [fill=Plum!65]  (ia.center) --  (ib.center) --  (ja.center) -- cycle;
            \draw [fill=Goldenrod!65]  (jb.center) --  (ib.center) --  (ja.center) -- cycle;
            \draw [fill=Plum!65]  (jb.center) --  (ib.center) --  (jc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ic.center) --  (ib.center) --  (jc.center) -- cycle;
            \draw [fill=Plum!65]  (ic.center) --  (id.center) --  (jc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (jd.center) --  (id.center) --  (jc.center) -- cycle;
            \draw [fill=Plum!65]  (jd.center) --  (id.center) --  (je.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ie.center) --  (id.center) --  (je.center) -- cycle;
            \draw [fill=Goldenrod!65]  (ka.center) --  (kb.center) --  (ja.center) -- cycle;
            \draw [fill=Plum!65]  (jb.center) --  (kb.center) --  (ja.center) -- cycle;
            \draw [fill=Goldenrod!65]  (jb.center) --  (kb.center) --  (jc.center) -- cycle;
            \draw [fill=Plum!65]  (kc.center) --  (kb.center) --  (jc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (kc.center) --  (kd.center) --  (jc.center) -- cycle;
            \draw [fill=Plum!65]  (jd.center) --  (kd.center) --  (jc.center) -- cycle;
            \draw [fill=Goldenrod!65]  (jd.center) --  (kd.center) --  (je.center) -- cycle;
            \draw [fill=Plum!65]  (ke.center) --  (kd.center) --  (je.center) -- cycle;
        \end{pgfonlayer}
    \end{tikzpicture}
    \caption{Tiling of $\mathbb{E}^2$ by a triangle with angles $\pi/2,\pi/4,\pi/4$.}
    \label{fig_tiling_e2}
\end{figure}

\paragraph{}
In the spherical world, the sum of angles of a triangle is always greater than $\pi$; as a consequence, the only polygons satisying the hypotheses of the theorem are triangles, but there are infinitely many of them, for instance with angles $\pi/2,\pi/2,\pi/p$ for all $p\geq 2$. In the hyperbolic world on the other hand, because the sum of angles of a triangle is less than $\pi$, there is a lot more freedom. For instance, hyperbolic regular right-angled $n$-gons exist for all $n\geq 5$. Figure \ref{fig_tiling_h2} shows both a hyperbolic and a spherical tiling.
\begin{figure}[hbt]
    \centering
    \begin{minipage}{0.49\textwidth}
        \centering
        \includegraphics[height=5cm]{Tiling-H-Hexagon.png}
    \end{minipage}
    \begin{minipage}{0.49\textwidth}
        \centering
        \includegraphics[height=5cm]{Tiling-S-Triangle.png}
    \end{minipage}
    \caption{Tiling of $\mathbb{H}^2$ by a right-angled hexagon and of $\mathbb{S}^2$ by a triangle with angles $\pi/2,\pi/2,\pi/5$.}
    \label{fig_tiling_h2}
\end{figure}

\subsection*{Coxeter groups and Cayley graphs}

\paragraph{}
The group $\Gamma$ with the presentation given by the Poincaré Theorem is part of a class of groups introduced by Donald Coxeter in a 1934 article \cite{coxeter} in which he undertook a study of ``discrete groups generated by reflections'' in euclidean and spherical geometry; these groups would later become known as \emph{Coxeter groups}: a group $W$ is a Coxeter group if it has a presentation of the form\begin{equation}W=\left<S\mid\forall s\neq t\in S,\:s^2=(st)^{m_{st}}=1\right>,\label{eq_pres_cox_gp}\end{equation}where $S$ is a finite set and $\left(m_{st}\right)_{s,t\in S}$ is a symmetric matrix indexed by $S$, with coefficients in $\left\{2,3,\dots\right\}\cup\left\{\infty\right\}$.

\paragraph{}
The simplest example of a Coxeter group is the one with only two generators: $W=\left<s,t\mid s^2=t^2=(st)^m=1\right>$. In order to visualise this group, let us introduce the concept of \emph{Cayley graph}: given a group $G$ with a generating set $S$, its Cayley graph $\Cay(W,S)$ is the graph obtained by drawing one vertex for each element of $G$, and by drawing an edge labelled by $s$ between $g$ and $gs$ for all $g\in G$. Hence, the local model for a Cayley graph is the following:
\begin{center}
    \begin{tikzpicture}[every node/.style={draw,circle,fill,inner sep=1pt}, every edge/.style={draw,thick}]
        \draw node[xshift=0cm, label=left:{$g$}](z){};
        \draw node[xshift=2cm, label=right:{$gs$}](a){};
        \draw (z) edge[color=Red, ultra thick] (a);
        \node [draw=none, fill=none, xshift=1cm, yshift=0.25cm, color=Red]{{$s$}};
    \end{tikzpicture}
\end{center}

\paragraph{}
Coming back to our example $W=\left<s,t\mid s^2=t^2=(st)^m=1\right>$, we can enumerate elements of $W$: starting with the trivial word $1$, we obtain $s$, $st$, $sts$, etc. These words are all different until we reach $\left(st\right)^m=1$. We could also have started with $t$, $ts$, etc., but we would have obtained the same words because $t=\left(st\right)^{m-1}s$, $ts=\left(st\right)^{m-1}$, etc. Therefore, if $m$ is finite, the Cayley graph $\Cay\left(W,\left\{s,t\right\}\right)$ should look like a cycle of length $2m$, with edges labelled by $s$ and $t$ alternatively.
\begin{figure}[htb]
    \centering
    \begin{tikzpicture}[every node/.style={draw,circle,fill,inner sep=1pt}, every edge/.style={draw,thick}]
        \graph[clockwise, radius=1.5cm, empty nodes] {subgraph I_n [n=6, name=A] };
        \node [draw=none, fill=none, color=red, xshift=0.5cm, yshift=1cm]{{\normalsize$s$}};
        \node [draw=none, fill=none, color=ForestGreen, xshift=-0.5cm, yshift=1cm]{{\normalsize$t$}};
        \node [draw=none, fill=none, yshift=1.2cm]{{\normalsize$1$}};
        \node [draw=none, fill=none, xshift=1.1cm, yshift=0.65cm]{{\normalsize$s$}};
        \node [draw=none, fill=none, xshift=1.05cm, yshift=-0.65cm]{{\normalsize$st$}};
        \node [draw=none, fill=none, yshift=-1.2cm]{{\normalsize$sts$}};
        \node [draw=none, fill=none, xshift=-1.1cm, yshift=0.65cm]{{\normalsize$t$}};
        \node [draw=none, fill=none, xshift=-1.05cm, yshift=-0.65cm]{{\normalsize$ts$}};
        \draw (A 1) edge[color=red, ultra thick] (A 2);
        \draw (A 3) edge[color=red, ultra thick] (A 4);
        \draw (A 5) edge[color=red, ultra thick] (A 6);
        \draw (A 2) edge[color=ForestGreen, ultra thick] (A 3);
        \draw (A 4) edge[color=ForestGreen, ultra thick] (A 5);
        \draw (A 6) edge[color=ForestGreen, ultra thick] (A 1);
    \end{tikzpicture}
    \caption{The Cayley graph of $D_6=\left<s,t\mid s^2=t^2=(st)^3=1\right>$.}
\end{figure}
If $m=\infty$, we can multiply indefinitely by $s$ or $t$, so the Cayley graph of $W$ is an infinite line.
\begin{figure}[htb]
    \centering
    \begin{tikzpicture}[every node/.style={draw,circle,fill,inner sep=1pt}, every edge/.style={draw,thick}]
        \draw node[xshift=0cm, label=above:{\normalsize$1$}](z){};
        \draw node[xshift=1cm, label=above:{\normalsize$s$}](a){};
        \draw node[xshift=2cm, label=above:{\normalsize$st$}](ab){};
        \draw node[xshift=3cm, label=above:{\normalsize$sts$}](aba){};
        \draw node[xshift=4cm, label=above:{\normalsize$stst$}](abab){};
        \draw node[xshift=-1cm, label=above:{\normalsize$t$}](b){};
        \draw node[xshift=-2cm, label=above:{\normalsize$ts$}](ba){};
        \draw node[xshift=-3cm, label=above:{\normalsize$tst$}](bab){};
        \draw node[xshift=-4cm, label=above:{\normalsize$tsts$}](baba){};
        \draw (z) edge[color=Red, ultra thick] (a);
        \draw (ab) edge[color=Red, ultra thick] (aba);
        \draw (b) edge[color=Red, ultra thick] (ba);
        \draw (bab) edge[color=Red, ultra thick] (baba);
        \draw (z) edge[color=ForestGreen, ultra thick] (b);
        \draw (ba) edge[color=ForestGreen, ultra thick] (bab);
        \draw (a) edge[color=ForestGreen, ultra thick] (ab);
        \draw (aba) edge[color=ForestGreen, ultra thick] (abab);
        \node [draw=none, fill=none, xshift=0.5cm, yshift=0.25cm, color=Red]{{$s$}};
        \node [draw=none, fill=none, xshift=-0.5cm, yshift=0.25cm, color=ForestGreen]{{$t$}};
        \node [draw=none, fill=none, xshift=4.5cm]{{$\cdots$}};
        \node [draw=none, fill=none, xshift=-4.5cm]{{$\cdots$}};
    \end{tikzpicture}
    \caption{The Cayley graph of $D_\infty=\left<s,t\mid s^2=t^2=1\right>$.}
\end{figure}
It turns out that having determined the Cayley graphs of Coxeter groups with two generators tells us how to draw the Cayley graph of any Coxeter group: given $W$ as in $(\ref{eq_pres_cox_gp})$, if one looks at edges labelled by two generators $s,t\in S$ only in $\Cay(W,S)$, then one will see cycles of length $2m_{st}$ (or lines if $m_{st}=\infty$).

\paragraph{}
If we look back at the cell complex $K$ that we used to reconstruct the tiling of the Poincaré Theorem, we will see that we have done something very similar to the construction of Cayley graphs: we started with a collection of polygons (instead of vertices for the Cayley graph) indexed by elements of the group, and we glued edges of the polygons (instead of linking vertices by an edge) when the two corresponding elements of the group differ by a generator. This suggests the following construction illustrated in Figure \ref{fig_tiling_and_cay}: in the tiling, add a vertex inside each copy of the polygon. If two copies of the polygon share an edge, then draw a new edge between the corresponding vertices across the old edge. The resulting graph (consisting of new vertices and edges only) is called the \emph{dual graph} of the tiling, and is exactly the Cayley graph of the corresponding Coxeter group.

\begin{figure}[htb]
    \centering
    \begin{tikzpicture}[every node/.style={draw,circle,fill,inner sep=1pt}, every edge/.style={draw,thick},plain/.style={draw}]
        \draw node (aa) at (0,0) {};
        \draw node (ba) at (1,0) {};
        \draw node (ca) at (2,0) {};
        \draw node (da) at (3,0) {};
        \draw node (ea) at (4,0) {};
        \draw node (fa) at (5,0) {};
        \draw node (ga) at (6,0) {};
        \draw node (ha) at (7,0) {};
        \draw node (ia) at (8,0) {};
        \draw node (ja) at (9,0) {};
        \draw node (ka) at (10,0) {};
        \draw node (ab) at (0,1) {};
        \draw node (bb) at (1,1) {};
        \draw node (cb) at (2,1) {};
        \draw node (db) at (3,1) {};
        \draw node (eb) at (4,1) {};
        \draw node (fb) at (5,1) {};
        \draw node (gb) at (6,1) {};
        \draw node (hb) at (7,1) {};
        \draw node (ib) at (8,1) {};
        \draw node (jb) at (9,1) {};
        \draw node (kb) at (10,1) {};
        \draw node (ac) at (0,2) {};
        \draw node (bc) at (1,2) {};
        \draw node (cc) at (2,2) {};
        \draw node (dc) at (3,2) {};
        \draw node (ec) at (4,2) {};
        \draw node (fc) at (5,2) {};
        \draw node (gc) at (6,2) {};
        \draw node (hc) at (7,2) {};
        \draw node (ic) at (8,2) {};
        \draw node (jc) at (9,2) {};
        \draw node (kc) at (10,2) {};
        \draw node (ad) at (0,3) {};
        \draw node (bd) at (1,3) {};
        \draw node (cd) at (2,3) {};
        \draw node (dd) at (3,3) {};
        \draw node (ed) at (4,3) {};
        \draw node (fd) at (5,3) {};
        \draw node (gd) at (6,3) {};
        \draw node (hd) at (7,3) {};
        \draw node (id) at (8,3) {};
        \draw node (jd) at (9,3) {};
        \draw node (kd) at (10,3) {};
        \draw node (ae) at (0,4) {};
        \draw node (be) at (1,4) {};
        \draw node (ce) at (2,4) {};
        \draw node (de) at (3,4) {};
        \draw node (ee) at (4,4) {};
        \draw node (fe) at (5,4) {};
        \draw node (ge) at (6,4) {};
        \draw node (he) at (7,4) {};
        \draw node (ie) at (8,4) {};
        \draw node (je) at (9,4) {};
        \draw node (ke) at (10,4) {};
        \draw node [plain,draw=none,fill=none,xshift=-1cm,yshift=2cm] (dots1) {$\cdots$};
        \draw node [plain,draw=none,fill=none,xshift=11cm,yshift=2cm] (dots2) {$\cdots$};
        \draw node [plain,draw=none,fill=none,xshift=5cm,yshift=-0.5cm] (dots3) {$\cdots$};
        \draw node [plain,draw=none,fill=none,xshift=5cm,yshift=4.5cm] (dots4) {$\cdots$};

        \begin{pgfonlayer}{bg}
            \draw [fill=Plum!20]  (aa.center) --  (ab.center) --  (ba.center) -- cycle;
            \draw [fill=Goldenrod!20]  (bb.center) --  (ab.center) --  (ba.center) -- cycle;
            \draw [fill=Plum!20]  (bb.center) --  (ab.center) --  (bc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ac.center) --  (ab.center) --  (bc.center) -- cycle;
            \draw [fill=Plum!20]  (ac.center) --  (ad.center) --  (bc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (bd.center) --  (ad.center) --  (bc.center) -- cycle;
            \draw [fill=Plum!20]  (bd.center) --  (ad.center) --  (be.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ae.center) --  (ad.center) --  (be.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ca.center) --  (cb.center) --  (ba.center) -- cycle;
            \draw [fill=Plum!20]  (bb.center) --  (cb.center) --  (ba.center) -- cycle;
            \draw [fill=Goldenrod!20]  (bb.center) --  (cb.center) --  (bc.center) -- cycle;
            \draw [fill=Plum!20]  (cc.center) --  (cb.center) --  (bc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (cc.center) --  (cd.center) --  (bc.center) -- cycle;
            \draw [fill=Plum!20]  (bd.center) --  (cd.center) --  (bc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (bd.center) --  (cd.center) --  (be.center) -- cycle;
            \draw [fill=Plum!20]  (ce.center) --  (cd.center) --  (be.center) -- cycle;

            \draw [fill=Plum!20]  (ca.center) --  (cb.center) --  (da.center) -- cycle;
            \draw [fill=Goldenrod!20]  (db.center) --  (cb.center) --  (da.center) -- cycle;
            \draw [fill=Plum!20]  (db.center) --  (cb.center) --  (dc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (cc.center) --  (cb.center) --  (dc.center) -- cycle;
            \draw [fill=Plum!20]  (cc.center) --  (cd.center) --  (dc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (dd.center) --  (cd.center) --  (dc.center) -- cycle;
            \draw [fill=Plum!20]  (dd.center) --  (cd.center) --  (de.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ce.center) --  (cd.center) --  (de.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ea.center) --  (eb.center) --  (da.center) -- cycle;
            \draw [fill=Plum!20]  (db.center) --  (eb.center) --  (da.center) -- cycle;
            \draw [fill=Goldenrod!20]  (db.center) --  (eb.center) --  (dc.center) -- cycle;
            \draw [fill=Plum!20]  (ec.center) --  (eb.center) --  (dc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ec.center) --  (ed.center) --  (dc.center) -- cycle;
            \draw [fill=Plum!20]  (dd.center) --  (ed.center) --  (dc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (dd.center) --  (ed.center) --  (de.center) -- cycle;
            \draw [fill=Plum!20]  (ee.center) --  (ed.center) --  (de.center) -- cycle;

            \draw [fill=Plum!20]  (ea.center) --  (eb.center) --  (fa.center) -- cycle;
            \draw [fill=Goldenrod!20]  (fb.center) --  (eb.center) --  (fa.center) -- cycle;
            \draw [fill=Plum!20]  (fb.center) --  (eb.center) --  (fc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ec.center) --  (eb.center) --  (fc.center) -- cycle;
            \draw [fill=Plum!20]  (ec.center) --  (ed.center) --  (fc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (fd.center) --  (ed.center) --  (fc.center) -- cycle;
            \draw [fill=Plum!20]  (fd.center) --  (ed.center) --  (fe.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ee.center) --  (ed.center) --  (fe.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ga.center) --  (gb.center) --  (fa.center) -- cycle;
            \draw [fill=Plum!20]  (fb.center) --  (gb.center) --  (fa.center) -- cycle;
            \draw [fill=Goldenrod!20]  (fb.center) --  (gb.center) --  (fc.center) -- cycle;
            \draw [fill=Plum!20]  (gc.center) --  (gb.center) --  (fc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (gc.center) --  (gd.center) --  (fc.center) -- cycle;
            \draw [fill=Plum!20]  (fd.center) --  (gd.center) --  (fc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (fd.center) --  (gd.center) --  (fe.center) -- cycle;
            \draw [fill=Plum!20]  (ge.center) --  (gd.center) --  (fe.center) -- cycle;

            \draw [fill=Plum!20]  (ga.center) --  (gb.center) --  (ha.center) -- cycle;
            \draw [fill=Goldenrod!20]  (hb.center) --  (gb.center) --  (ha.center) -- cycle;
            \draw [fill=Plum!20]  (hb.center) --  (gb.center) --  (hc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (gc.center) --  (gb.center) --  (hc.center) -- cycle;
            \draw [fill=Plum!20]  (gc.center) --  (gd.center) --  (hc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (hd.center) --  (gd.center) --  (hc.center) -- cycle;
            \draw [fill=Plum!20]  (hd.center) --  (gd.center) --  (he.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ge.center) --  (gd.center) --  (he.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ia.center) --  (ib.center) --  (ha.center) -- cycle;
            \draw [fill=Plum!20]  (hb.center) --  (ib.center) --  (ha.center) -- cycle;
            \draw [fill=Goldenrod!20]  (hb.center) --  (ib.center) --  (hc.center) -- cycle;
            \draw [fill=Plum!20]  (ic.center) --  (ib.center) --  (hc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ic.center) --  (id.center) --  (hc.center) -- cycle;
            \draw [fill=Plum!20]  (hd.center) --  (id.center) --  (hc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (hd.center) --  (id.center) --  (he.center) -- cycle;
            \draw [fill=Plum!20]  (ie.center) --  (id.center) --  (he.center) -- cycle;

            \draw [fill=Plum!20]  (ia.center) --  (ib.center) --  (ja.center) -- cycle;
            \draw [fill=Goldenrod!20]  (jb.center) --  (ib.center) --  (ja.center) -- cycle;
            \draw [fill=Plum!20]  (jb.center) --  (ib.center) --  (jc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ic.center) --  (ib.center) --  (jc.center) -- cycle;
            \draw [fill=Plum!20]  (ic.center) --  (id.center) --  (jc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (jd.center) --  (id.center) --  (jc.center) -- cycle;
            \draw [fill=Plum!20]  (jd.center) --  (id.center) --  (je.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ie.center) --  (id.center) --  (je.center) -- cycle;
            \draw [fill=Goldenrod!20]  (ka.center) --  (kb.center) --  (ja.center) -- cycle;
            \draw [fill=Plum!20]  (jb.center) --  (kb.center) --  (ja.center) -- cycle;
            \draw [fill=Goldenrod!20]  (jb.center) --  (kb.center) --  (jc.center) -- cycle;
            \draw [fill=Plum!20]  (kc.center) --  (kb.center) --  (jc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (kc.center) --  (kd.center) --  (jc.center) -- cycle;
            \draw [fill=Plum!20]  (jd.center) --  (kd.center) --  (jc.center) -- cycle;
            \draw [fill=Goldenrod!20]  (jd.center) --  (kd.center) --  (je.center) -- cycle;
            \draw [fill=Plum!20]  (ke.center) --  (kd.center) --  (je.center) -- cycle;
        \end{pgfonlayer}
        \draw node (aa1) at (0.3,0.3) {};
        \draw node (aa2) at (0.7,0.7) {};
        \draw node (ab1) at (0.3,1.7) {};
        \draw node (ab2) at (0.7,1.3) {};
        \draw node (ac1) at (0.3,2.3) {};
        \draw node (ac2) at (0.7,2.7) {};
        \draw node (ad1) at (0.3,3.7) {};
        \draw node (ad2) at (0.7,3.3) {};
        \draw node (ba1) at (1.7,0.3) {};
        \draw node (ba2) at (1.3,0.7) {};
        \draw node (bb1) at (1.7,1.7) {};
        \draw node (bb2) at (1.3,1.3) {};
        \draw node (bc1) at (1.7,2.3) {};
        \draw node (bc2) at (1.3,2.7) {};
        \draw node (bd1) at (1.7,3.7) {};
        \draw node (bd2) at (1.3,3.3) {};

        \draw node (ca1) at (2.3,0.3) {};
        \draw node (ca2) at (2.7,0.7) {};
        \draw node (cb1) at (2.3,1.7) {};
        \draw node (cb2) at (2.7,1.3) {};
        \draw node (cc1) at (2.3,2.3) {};
        \draw node (cc2) at (2.7,2.7) {};
        \draw node (cd1) at (2.3,3.7) {};
        \draw node (cd2) at (2.7,3.3) {};
        \draw node (da1) at (3.7,0.3) {};
        \draw node (da2) at (3.3,0.7) {};
        \draw node (db1) at (3.7,1.7) {};
        \draw node (db2) at (3.3,1.3) {};
        \draw node (dc1) at (3.7,2.3) {};
        \draw node (dc2) at (3.3,2.7) {};
        \draw node (dd1) at (3.7,3.7) {};
        \draw node (dd2) at (3.3,3.3) {};

        \draw node (ea1) at (4.3,0.3) {};
        \draw node (ea2) at (4.7,0.7) {};
        \draw node (eb1) at (4.3,1.7) {};
        \draw node (eb2) at (4.7,1.3) {};
        \draw node (ec1) at (4.3,2.3) {};
        \draw node (ec2) at (4.7,2.7) {};
        \draw node (ed1) at (4.3,3.7) {};
        \draw node (ed2) at (4.7,3.3) {};
        \draw node (fa1) at (5.7,0.3) {};
        \draw node (fa2) at (5.3,0.7) {};
        \draw node (fb1) at (5.7,1.7) {};
        \draw node (fb2) at (5.3,1.3) {};
        \draw node (fc1) at (5.7,2.3) {};
        \draw node (fc2) at (5.3,2.7) {};
        \draw node (fd1) at (5.7,3.7) {};
        \draw node (fd2) at (5.3,3.3) {};

        \draw node (ga1) at (6.3,0.3) {};
        \draw node (ga2) at (6.7,0.7) {};
        \draw node (gb1) at (6.3,1.7) {};
        \draw node (gb2) at (6.7,1.3) {};
        \draw node (gc1) at (6.3,2.3) {};
        \draw node (gc2) at (6.7,2.7) {};
        \draw node (gd1) at (6.3,3.7) {};
        \draw node (gd2) at (6.7,3.3) {};
        \draw node (ha1) at (7.7,0.3) {};
        \draw node (ha2) at (7.3,0.7) {};
        \draw node (hb1) at (7.7,1.7) {};
        \draw node (hb2) at (7.3,1.3) {};
        \draw node (hc1) at (7.7,2.3) {};
        \draw node (hc2) at (7.3,2.7) {};
        \draw node (hd1) at (7.7,3.7) {};
        \draw node (hd2) at (7.3,3.3) {};

        \draw node (ia1) at (8.3,0.3) {};
        \draw node (ia2) at (8.7,0.7) {};
        \draw node (ib1) at (8.3,1.7) {};
        \draw node (ib2) at (8.7,1.3) {};
        \draw node (ic1) at (8.3,2.3) {};
        \draw node (ic2) at (8.7,2.7) {};
        \draw node (id1) at (8.3,3.7) {};
        \draw node (id2) at (8.7,3.3) {};
        \draw node (ja1) at (9.7,0.3) {};
        \draw node (ja2) at (9.3,0.7) {};
        \draw node (jb1) at (9.7,1.7) {};
        \draw node (jb2) at (9.3,1.3) {};
        \draw node (jc1) at (9.7,2.3) {};
        \draw node (jc2) at (9.3,2.7) {};
        \draw node (jd1) at (9.7,3.7) {};
        \draw node (jd2) at (9.3,3.3) {};

        \draw [color=red, ultra thick] (aa1) --  (aa2);
        \draw [color=red, ultra thick] (ab1) --  (ab2);
        \draw [color=red, ultra thick] (ac1) --  (ac2);
        \draw [color=red, ultra thick] (ad1) --  (ad2);
        \draw [color=red, ultra thick] (ba1) --  (ba2);
        \draw [color=red, ultra thick] (bb1) --  (bb2);
        \draw [color=red, ultra thick] (bc1) --  (bc2);
        \draw [color=red, ultra thick] (bd1) --  (bd2);
        \draw [color=red, ultra thick] (ca1) --  (ca2);
        \draw [color=red, ultra thick] (cb1) --  (cb2);
        \draw [color=red, ultra thick] (cc1) --  (cc2);
        \draw [color=red, ultra thick] (cd1) --  (cd2);
        \draw [color=red, ultra thick] (da1) --  (da2);
        \draw [color=red, ultra thick] (db1) --  (db2);
        \draw [color=red, ultra thick] (dc1) --  (dc2);
        \draw [color=red, ultra thick] (dd1) --  (dd2);
        \draw [color=red, ultra thick] (ea1) --  (ea2);
        \draw [color=red, ultra thick] (eb1) --  (eb2);
        \draw [color=red, ultra thick] (ec1) --  (ec2);
        \draw [color=red, ultra thick] (ed1) --  (ed2);
        \draw [color=red, ultra thick] (fa1) --  (fa2);
        \draw [color=red, ultra thick] (fb1) --  (fb2);
        \draw [color=red, ultra thick] (fc1) --  (fc2);
        \draw [color=red, ultra thick] (fd1) --  (fd2);
        \draw [color=red, ultra thick] (ga1) --  (ga2);
        \draw [color=red, ultra thick] (gb1) --  (gb2);
        \draw [color=red, ultra thick] (gc1) --  (gc2);
        \draw [color=red, ultra thick] (gd1) --  (gd2);
        \draw [color=red, ultra thick] (ha1) --  (ha2);
        \draw [color=red, ultra thick] (hb1) --  (hb2);
        \draw [color=red, ultra thick] (hc1) --  (hc2);
        \draw [color=red, ultra thick] (hd1) --  (hd2);
        \draw [color=red, ultra thick] (ia1) --  (ia2);
        \draw [color=red, ultra thick] (ib1) --  (ib2);
        \draw [color=red, ultra thick] (ic1) --  (ic2);
        \draw [color=red, ultra thick] (id1) --  (id2);
        \draw [color=red, ultra thick] (ja1) --  (ja2);
        \draw [color=red, ultra thick] (jb1) --  (jb2);
        \draw [color=red, ultra thick] (jc1) --  (jc2);
        \draw [color=red, ultra thick] (jd1) --  (jd2);

        \draw [color=blue, ultra thick] (aa2) --  (ab2);
        \draw [color=ForestGreen, ultra thick] (ab1) --  (ac1);
        \draw [color=blue, ultra thick] (ac2) --  (ad2);
        \draw [color=blue, ultra thick] (ba2) --  (bb2);
        \draw [color=ForestGreen, ultra thick] (bb1) --  (bc1);
        \draw [color=blue, ultra thick] (bc2) --  (bd2);
        \draw [color=blue, ultra thick] (ca2) --  (cb2);
        \draw [color=ForestGreen, ultra thick] (cb1) --  (cc1);
        \draw [color=blue, ultra thick] (cc2) --  (cd2);
        \draw [color=blue, ultra thick] (da2) --  (db2);
        \draw [color=ForestGreen, ultra thick] (db1) --  (dc1);
        \draw [color=blue, ultra thick] (dc2) --  (dd2);
        \draw [color=blue, ultra thick] (ea2) --  (eb2);
        \draw [color=ForestGreen, ultra thick] (eb1) --  (ec1);
        \draw [color=blue, ultra thick] (ec2) --  (ed2);
        \draw [color=blue, ultra thick] (fa2) --  (fb2);
        \draw [color=ForestGreen, ultra thick] (fb1) --  (fc1);
        \draw [color=blue, ultra thick] (fc2) --  (fd2);
        \draw [color=blue, ultra thick] (ga2) --  (gb2);
        \draw [color=ForestGreen, ultra thick] (gb1) --  (gc1);
        \draw [color=blue, ultra thick] (gc2) --  (gd2);
        \draw [color=blue, ultra thick] (ha2) --  (hb2);
        \draw [color=ForestGreen, ultra thick] (hb1) --  (hc1);
        \draw [color=blue, ultra thick] (hc2) --  (hd2);
        \draw [color=blue, ultra thick] (ia2) --  (ib2);
        \draw [color=ForestGreen, ultra thick] (ib1) --  (ic1);
        \draw [color=blue, ultra thick] (ic2) --  (id2);
        \draw [color=blue, ultra thick] (ja2) --  (jb2);
        \draw [color=ForestGreen, ultra thick] (jb1) --  (jc1);
        \draw [color=blue, ultra thick] (jc2) --  (jd2);

        \draw [color=ForestGreen, ultra thick] (aa2) --  (ba2);
        \draw [color=ForestGreen, ultra thick] (ab2) --  (bb2);
        \draw [color=ForestGreen, ultra thick] (ac2) --  (bc2);
        \draw [color=ForestGreen, ultra thick] (ad2) --  (bd2);
        \draw [color=ForestGreen, ultra thick] (ca2) --  (da2);
        \draw [color=ForestGreen, ultra thick] (cb2) --  (db2);
        \draw [color=ForestGreen, ultra thick] (cc2) --  (dc2);
        \draw [color=ForestGreen, ultra thick] (cd2) --  (dd2);
        \draw [color=ForestGreen, ultra thick] (ea2) --  (fa2);
        \draw [color=ForestGreen, ultra thick] (eb2) --  (fb2);
        \draw [color=ForestGreen, ultra thick] (ec2) --  (fc2);
        \draw [color=ForestGreen, ultra thick] (ed2) --  (fd2);
        \draw [color=ForestGreen, ultra thick] (ga2) --  (ha2);
        \draw [color=ForestGreen, ultra thick] (gb2) --  (hb2);
        \draw [color=ForestGreen, ultra thick] (gc2) --  (hc2);
        \draw [color=ForestGreen, ultra thick] (gd2) --  (hd2);
        \draw [color=ForestGreen, ultra thick] (ia2) --  (ja2);
        \draw [color=ForestGreen, ultra thick] (ib2) --  (jb2);
        \draw [color=ForestGreen, ultra thick] (ic2) --  (jc2);
        \draw [color=ForestGreen, ultra thick] (id2) --  (jd2);

        \draw [color=blue, ultra thick] (ba1) --  (ca1);
        \draw [color=blue, ultra thick] (bb1) --  (cb1);
        \draw [color=blue, ultra thick] (bc1) --  (cc1);
        \draw [color=blue, ultra thick] (bd1) --  (cd1);
        \draw [color=blue, ultra thick] (da1) --  (ea1);
        \draw [color=blue, ultra thick] (db1) --  (eb1);
        \draw [color=blue, ultra thick] (dc1) --  (ec1);
        \draw [color=blue, ultra thick] (dd1) --  (ed1);
        \draw [color=blue, ultra thick] (fa1) --  (ga1);
        \draw [color=blue, ultra thick] (fb1) --  (gb1);
        \draw [color=blue, ultra thick] (fc1) --  (gc1);
        \draw [color=blue, ultra thick] (fd1) --  (gd1);
        \draw [color=blue, ultra thick] (ha1) --  (ia1);
        \draw [color=blue, ultra thick] (hb1) --  (ib1);
        \draw [color=blue, ultra thick] (hc1) --  (ic1);
        \draw [color=blue, ultra thick] (hd1) --  (id1);
    \end{tikzpicture}
    \caption{The Cayley graph of $\left<r,s,t\mid r^2=s^2=t^2=(rs)^4=(rt)^4=(st)^2\right>$ as the dual of the corresponding euclidean tiling.}
    \label{fig_tiling_and_cay}
\end{figure}

\subsection*{Quasi-isometries}

\paragraph{}
In the context of the Poincaré Theorem, the construction of the Cayley graph as the dual of the tiling seems to point to a connection between the geometry of $\mathbb{X}$ and that of $\Cay(\Gamma,S)$. One way to put it is that, forgetting the local details and looking at them from afar, those two objects have very similar geometric structures. We can make this intuition rigorous by introducing the concept of \emph{quasi-isometry}. Given two metric spaces $X$ and $Y$, a map $f:X\rightarrow Y$ is said to be a \emph{quasi-isometric embedding} if there exist $\varepsilon\geq 0$ and $\lambda\geq 1$ such that\[\frac{1}{\lambda}d_X\left(x,x'\right)-\varepsilon\leq d_Y\left(f(x),f\left(x'\right)\right)\leq\lambda d_X\left(x,x'\right)+\varepsilon,\]for all $x,x'\in X$. We say that $f$ is a \emph{quasi-isometry} (and that $X$ and $Y$ are \emph{quasi-isometric}) if in addition $f$ has a quasi-inverse: a map $g:Y\rightarrow X$ such that\[\sup_{x\in X}d_X\left(x,g\circ f(x)\right)<\infty\qquad\textrm{and}\qquad\sup_{y\in Y}d_Y\left(y,f\circ g(y)\right)<\infty.\]Quasi-isometry defines an equivalence relation between metric spaces and captures the idea of ``looking the same from afar''.

\paragraph{}
Given a group $G$ with a generating set $S$, the Cayley graph $\Cay(G,S)$ can be made into a metric space by endowing it with the \emph{graph distance}: the distance between any two points in the graph is the length of the shortest path between them. If we restrict this distance to $G$, we obtain the \emph{word metric} $d_S$ on $G$, which can be defined equivalently by saying that $d_S(g,h)$ is the length of the shortest word on $S$ equal to $h^{-1}g$. In fact, restricting our attention to elements of $G$ or considering the whole Cayley graph does not matter: $\left(G,d_S\right)$ is quasi-isometric to $\Cay(G,S)$. Now one of the reasons for the importance of quasi-isometry is the following fact.
\begin{prop}
    If $G$ is a group and $S,S'$ are two finite generating sets for $G$, then $\left(G,d_S\right)$ is quasi-isometric to $\left(G,d_{S'}\right)$.
\end{prop}
Therefore, even though a finitely generated group may have many different Cayley graphs and word metrics, the proposition implies that they are all quasi-isometric. This allows one to talk of the geometric structure of a (finitely generated) group, which is well-defined up to quasi-isometry and can be visualised as the structure of any Cayley graph of the group.

\subsection*{The geometry of groups}

\paragraph{}
The idea of defining the geometric structure of finitely generated groups and accepting to look at metric spaces up to quasi-isometry was first introduced by Mikhail Gromov in the eighties; this is the first step into the realm of \emph{geometric group theory}, a very active field of contemporary mathematical research. One fundamental result of the field is the following:
\begin{lmm}[Švarc-Milnor]
    Let $G$ be a group acting properly, cocompactly and by isometries on a proper geodesic space $X$. Then:
        \begin{enumerate}
            \item $G$ is finitely generated.
            \item $G$ is quasi-isometric to $X$.
        \end{enumerate}
\end{lmm}
It follows from the Švarc-Milnor Lemma that the Coxeter group $\Gamma$ appearing in the Poincaré Theorem is quasi-isometric to the space $\mathbb{X}$. Amazingly, we can use this fact to deduce many algebraic properties of $\Gamma$: for instance, if $\mathbb{X}$ is the hyperbolic plane, then $\Gamma$ is a so-called \emph{hyperbolic group}, which implies for example that it does not contain a subgroup isomorphic to $\mathbb{Z}^2$ (the intuition behind this is that $\mathbb{Z}^2$ is flat, so it cannot be embedded into the hyperbolic world).

\paragraph{}
This short article will hopefully have pointed to the idea that viewing groups as intrinsically geometric objects and trying to understand them as the symmetries of some spaces is both a natural and beautiful approach. A good place to learn more about various aspects of this general idea is \cite{laharpe}; a more linear textbook-style approach is given by \cite{loeh}. For more on Coxeter groups, we recommend \cite{humphreys} for their combinatorial theory and \cite{davis} for their geometry.

\bibliography{ArticleEureka-Refs.bib}
\bibliographystyle{plain}

\end{document}
